<?
Error_Reporting(E_ALL & ~E_NOTICE);
Error_Reporting (ERROR | WARNING);
extract($HTTP_GET_VARS);
extract($HTTP_POST_VARS);
extract($HTTP_COOKIE_VARS);
extract($HTTP_SERVER_VARS);
extract($HTTP_SESSION_VARS);
session_name("SESID");
session_start();
define('_IN_JOHNCMS', 1);

$textl = 'Открыета с сайта';
require_once ('../incfiles/core.php');
require_once ('../incfiles/head.php');


include_once "tr_win.php";







  $kolimages="5";
  $url = str_replace(".","",$_GET[url]);
  $url = str_replace("/","",$url);
  $url = str_replace("<","",$url);
  $url = str_replace(">","",$url);
  $url = htmlspecialchars($url);
  $url = str_replace('script','',$url);

  $file = str_replace("/","",$_GET[file]);
  $file = str_replace("<","",$file);
  $file = str_replace(">","",$file);
  $file = htmlspecialchars($file);
  $file = str_replace('script','',$file);

if ($_GET[url] && $_GET[view]==1)
 {
  $urlwin = tr_to_win($url);
 

echo '<div class="phdr"><b><center>';


 echo "$urlwin <br />";

echo '</center></b></div>';





  $onpage = $kolimages;

  $dir = opendir ("$url");

$file_array = array();
while ($file = readdir ($dir))
    {
    if(substr($file,0,1) != '.' and $file != "index.php" and $file != "op" and $file != "Thumbs.db" and $file != "thumbs.db" && ($file != "..") && ($file != ".htaccess") && ($file != "tr_win.php"))//исключаем текущую папку и файл index.php(если например он есть)
        {
         $file_array[] =  $file;
        }
    }
$all = count($file_array);
if(empty($_GET['page'])){$_GET['page'] = 0;} //если переменная $page не задана она становится 0
$begin = $_GET['page'] * $onpage; //откуда начинать выводить записи
$end = $begin + $onpage;//где заканчивать выводить
$pages = $all / $onpage; //сколько страниц генерировать

for($p=0;$p<$pages;$p++){ //начинаем генирировать страницы
$pg = $p+1;//номер страницы равен: $p + 1
if($_GET['page']==$p){echo $open.$pg.$close; //если просматриваемая страница равна странице, которую выводим ссылку не делаем
}else{ //если нет, то делаем
echo $open."<a href=?url=".$url."&amp;view=1&amp;page=".$p.">".$pg."</a> ".$close;}}//завершили цикл
if ($all!=0)
{
for($i=$begin;$i<$end;$i++){ //запускаем цикл вывода
if($file_array[$i]){



echo "<div class=\"c\"><img src=\"$url/$file_array[$i]\" width=\"60\" /><br />";
echo "<a href=\"index.php?view=2&amp;url=$url&amp;file=$file_array[$i]\">Отправить</a>";
echo "</div>";

}//начали новую строку
} //закончили цикл
}else{echo "В данной категории нет файлов";}

for($p=0;$p<$pages;$p++){ //начинаем генирировать страницы
$pg = $p+1;//номер страницы равен: $p + 1
if($_GET['page']==$p){echo $open.$pg.$close; //если просматриваемая страница равна странице, которую выводим ссылку не делаем
}else{ //если нет, то делаем
echo $open."<a href=?url=".$url."&amp;view=1&amp;page=".$p.">".$pg."</a> ".$close;}}//завершили цикл
echo "<br />";
  echo "<hr /><div>Всего в этой категории $all открыток<br />";
  echo "<hr /><a href=\"index.php\">К категориям</a></div>";
 }

 if (empty($_GET[view]))
 {

   
echo '<div class="phdr"><b>Категории<br /></b></div><br />';



   $kat = str_replace(".","",$_GET[kat]);
   $kat = str_replace("/","",$kat);
   $kat = str_replace("<","",$kat);
   $kat = str_replace(">","",$kat);

   $dir = opendir (".");
   while ( $file = readdir ($dir))
    {
     if (( $file != ".") && ($file != "..") && ($file != ".htaccess") && ($file != "index.php") && ($file != "tr_win.php"))
      {
       $filewin = tr_to_win($file);
       $file = str_replace(".","",$file);
       $file = str_replace("/","",$file);
       $file = str_replace("<","",$file);
       $file = str_replace(">","",$file);
       echo "<div class=\"c\"><a href=\"index.php?url=$file&amp;view=1\">$filewin</a></div>";

      }
    }

    $viewotk = file("../data/otk.txt");
    $kol = $viewotk[0];
    echo "<hr /><div>Всего отправлено $kol открыток</div>";



 }
 if ($_GET[view]==2)   	
   	{
echo "<div><br />";




echo "<img src=\"$url/$file\" width=\"60\" />";
echo "<form method=\"post\" action=\"index.php?view=3&amp;url=$url&amp;file=$file\">";
echo "Кому(e-mail):";
echo "<br /><input type=\"text\" name=\"mail\" maxlength=\"50\" value=\"\"/><br />";
echo "Ваше имя:";
echo "<br /><input type=\"text\" name=\"name\" maxlength=\"50\" value=\"\"/><br />";
echo "<br />Ваше пожелание:<br />";

	echo "<textarea rows=\"3\" size=\"500\" name=\"text\">";
	echo "</textarea><br />";
   echo "<input type=\"submit\" name=\"do\" value=\"Отправить\"/></form>";
  echo "<a href=\"index.php?url=$url&amp;view=1\">Выбрать открытку</a></div>";
 }

    	 if($_GET[view]==3)
   	 {
function myErrorHandler ($errno, $errstr, $errfile, $errline) {}
set_error_handler("myErrorHandler");

$text=htmlspecialchars(stripslashes($_POST[text]));
$tema= "Вам открытка с сайта $home";
$text = substr($HTTP_POST_VARS["text"],0,1000);
##################################################
	if (!eregi("^([0-9a-z]([-_.]?[0-9a-z])*@[0-9a-z]([-.]?[0-9a-z])*\\.[a-wyz][a-z](fo|g|l|m|mes|o|op|pa|ro|seum|t|u|v|z)?)$", $_POST[mail]))
 {

   echo"Несуществующий адрес e-mail!<br /><br />";
   echo"<a href=\"index.php?view=2&amp;url=$url&amp;file=$file\">Пожалуйста повторите!</a>";
require_once ('../incfiles/end.php');
exit;
 }

if ($text == "")
  {
    echo"Вы не написали пожелание!<br /><br />";
    echo"<a href=\"index.php?view=2&amp;url=$url&amp;file=$file\">Пожалуйста повторите!</a>";
require_once ('../incfiles/end.php');



exit;

  }
$text = "Здравствуйте. Вам $_POST[name] отправил(а) открытку с сайта $home <br />Открытка:<br /> <img src=$home/otk/$url/$file><br /> Адрес открытки: $home/otk/$url/$file<br /> <a href=\"$home/otk/$url/$file\">Скачать открытку</a><br /><br /> Пожелание от $_POST[name]: $text<br /><br /><br /> Ждем вас на нашем сайте $home";
$headers="Content-Type: text/html; charset=utf-8\n";
$headers.="From: $emailadmina\nX-Mailer: PHP v.".phpversion();
mail($_POST[mail],$tema,$text,$headers);

    $viewotk = file("../data/otk.txt");
    $i = $viewotk[0];
    $ii = $i + 1;
    $base = ("../data/otk.txt");
    $file = fopen("$base","w");
    fputs($file,"$ii");
    fclose($file);

echo"<div>Спасибо, открытка отправлена!<br />";
echo"<br /><a href=\"index.php?url=$url&amp;view=1\">Выбрать открытку еще</a></div>";
   	 }
require_once ("../incfiles/end.php");
?>